<template>
    <div class="container flex flex-wrap m-auto mt-6 md:mt-15 lg:px-12 xl:px-16">
        <div class="w-full px-0">
            <div class="w-full p-4">
                <label class="flex flex-col rounded-lg shadow-lg relative cursor-pointer hover:shadow-2xl">
                    <div class="w-full px-4 py-8 rounded-t-lg bg-tek-white">
                        <h3 class="mx-auto text-base font-semibold text-center underline text-tek-black">
                            {{abo.title}}
                        </h3>
                        <p
                            class="w-full py-2 mt-2 font-semibold text-center uppercase bg-tek-main border border-transparent rounded text-tek-black text-sm">
                            {{abo.badge}}
                        </p>
                        <div class="pt-6">
                            <h3 class="font-bold text-s">
                                Contenu :
                            </h3>
                            <p><i class="fas fa-star text-tek-black text-x pl-4"></i> {{abo.content}} </p>
                        </div>
                    </div>
                    <div class="flex flex-col items-center justify-center w-full h-full py-4 rounded-b-lg bg-tek-white">
                        <p class="text-5xl font-bold text-center text-tek-black">
                            {{abo.price}}€<span v-if="abo.delay" class="text-xl">/{{abo.delay}}</span>
                        </p>
                        <p v-if="abo.delay === 'an'" class="text-xs text-center uppercase text-tek-black">
                            Soit 33.75€/mois
                        </p>
                    </div>
                </label>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        props: {
            abo: {
                type: Object,
                default: () => {
                    return {
                        title: '',
                        badge: '',
                        content: '',
                        price: 0,
                        delay: null
                    }
                },
            },
        },
    }
</script>